Bug 1473957 - [RFE][S-3] Enable custom SSL certificate environment variable for CF template deployment in OSE [NEEDINFO]
[RFE][S-3] Enable custom SSL certificate environment variable for CF template...
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation (Show other bugs)
5.7.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.10.0
Assigned To: Brandon Dunne
Red Hat CloudForms Documentation
: FutureFeature
Depends On:
Blocks: 1511957 1555371
  Show dependency treegraph
 
Reported: 2017-07-22 14:30 EDT by Saif Ali
Modified: 2018-06-21 13:04 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gtanzill: needinfo? (jocarter)


Attachments (Terms of Use)

  None (edit)
Description Saif Ali 2017-07-22 14:30:18 EDT
Description of problem:
Currently there is no option to install custom/ third party ssl for CloudForms running in Openshift, and install the cert after the pods start will not persist across reboot.
Ideally we looking for environment variables to pass to the deployment template
e.g
oc new-app --template=cloudforms -p TLS_CERT=/path/to/tlscert -p TLS_KEY=/path/to/tlskey -p TLS_CA=/path/to/cacert

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
add custom SSL certificate

Additional info:
Comment 6 CFME Bot 2018-05-30 20:50:17 EDT
New commit detected on ManageIQ/manageiq_docs/master:

811cbee
commit a8f3e2a42f599fd0884c8962cf1ad988a0a29843
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue May 29 15:49:11 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue May 29 15:49:11 2018 -0400

    Add documentation describing uploading custom SSL certificates

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1473957

 doc-Installing_on_OpenShift_Container_Platform/topics/post-installation.adoc | 6 +
 1 file changed, 6 insertions(+)
Comment 7 CFME Bot 2018-05-31 23:43:38 EDT
New commit detected on ManageIQ/manageiq_docs/gaprindashvili:

https://github.com/ManageIQ/manageiq_docs/commit/8b89132b9acf4d2c0e05744a1ab636ecd7bb45bb
commit 8b89132b9acf4d2c0e05744a1ab636ecd7bb45bb
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue May 29 15:49:11 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue May 29 15:49:11 2018 -0400

    Add documentation describing uploading custom SSL certificates

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1473957

 doc-Installing_on_OpenShift_Container_Platform/topics/post-installation.adoc | 6 +
 1 file changed, 6 insertions(+)

Note You need to log in before you can comment on or make changes to this bug.